package com.miaxis.common.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * redis前缀生成工具
 * @Author wwl
 * @Date 2020/12/29
 * @Version 1.0
 */
public class RedisPrefixUtils {

    /**
     * 生成短信验证码redis前缀
     * keyPrefix ： 验证码缓存前缀
     * smsKeyCountPrefix ：该手机号验证次数缓存前缀
     * @return
     */
    public static Map<String,String> smsRedisPrefix(String type, String phone){

        String keyPrefix = "sms:code:"+type+":"+phone;
        String smsKeyCountPrefix = "sms:code:count:"+type+":"+phone;

        Map<String, String> map = new HashMap<>();
        map.put("keyPrefix",keyPrefix);
        map.put("smsKeyCountPrefix",smsKeyCountPrefix);

        return map;
    }

}
