package com.miaxis.app.coach.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 教练评价对象 coach_evaluate
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Data
@TableName("coach_evaluate")
@ApiModel(value = "CoachEvaluate", description = "教练评价对象 coach_evaluate")
public class CoachEvaluate extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 评价用户ID */
    @Excel(name = "评价用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "评价用户ID")
    private Long userId;

    /** 服务态度 */
    @Excel(name = "服务态度")
    @TableField("attitude_starts")
    @ApiModelProperty(value = "服务态度")
    private Long attitudeStarts;

    /** 教练员全国统一编号 */
    @Excel(name = "教练员全国统一编号")
    @TableField("coachnum")
    @ApiModelProperty(value = "教练员全国统一编号")
    private String coachnum;

    /** 场地星级 */
    @Excel(name = "场地星级")
    @TableField("area_starts")
    @ApiModelProperty(value = "场地星级")
    private Long areaStarts;

    /** 总体星级1-5 */
    @Excel(name = "总体星级1-5")
    @TableField("totel_starts")
    @ApiModelProperty(value = "总体星级1-5")
    private Long totelStarts;

    /** 评价内容 */
    @Excel(name = "评价内容")
    @TableField("content")
    @ApiModelProperty(value = "评价内容")
    private String content;

    /** 标签表ID串 */
    @Excel(name = "标签表ID串")
    @TableField("label_ids")
    @ApiModelProperty(value = "标签表ID串")
    private String labelIds;

    /** 是否匿名：0 :公开  1匿名 */
    @Excel(name = "是否匿名：0 :公开  1匿名")
    @TableField("is_anonymous")
    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private Integer isAnonymous;

    /** 状态   0：启用 1：禁用 */
    @Excel(name = "状态   0：启用 1：禁用")
    @TableField("status")
    @ApiModelProperty(value = "状态   0：启用 1：禁用")
    private Integer status;

}
