package com.miaxis.app.school.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 驾校评价对象 school_evaluate
 *
 * @author miaxis
 * @date 2020-12-28
 */
@Data
@TableName("school_evaluate")
@ApiModel(value = "SchoolEvaluate", description = "驾校评价对象 school_evaluate")
public class SchoolEvaluateDto extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "评价用户ID")
    private String userId;

    @ApiModelProperty(value = "驾校编号")
    private String inscode;

    @ApiModelProperty(value = "态度星级")
    private Long attitudeStarts;

    @ApiModelProperty(value = "场级星级")
    private Long areaStarts;

    @ApiModelProperty(value = "总体星数：星星数1-5星")
    private Long totalStarts;

    @ApiModelProperty(value = "评价内容")
    private String content;

    @ApiModelProperty(value = "标签表ID串")
    private String schoolLabelIds;

    @ApiModelProperty(value = "是否匿名：0 :公开  1匿名")
    private String isAnonymous;

    /**
     * [{"imagePath":"/test/1.png","imageUrl":"http://image.jppt.com.cn/test/1.png"},{"imagePath":"/test/2.png","imageUrl":"http://image.jppt.com.cn/test/2.png"}]
     */
    @ApiModelProperty(value = "图片json串")
    private String imagesJson;


}
