package com.miaxis.app.school.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 驾校训练场对象 school_region
 *
 * @author miaxis
 * @date 2020-12-23
 */
@Data
@ApiModel(value = "SchoolRegionVO", description = "驾校训练场对象 school_region")
public class SchoolRegionVO extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 教学区域名称 */
    @ApiModelProperty(value = "教学区域名称")
    private String regionName;

    /** 驾校名称 */
    @ApiModelProperty(value = "驾校名称")
    private String schoolName;

    /** 教学区域地址 */
    @ApiModelProperty(value = "教学区域地址")
    private String address;

    /** 区县编号 */
    @ApiModelProperty(value = "区县编号")
    private String areaCode;

    /** 教学区域面积 */
    @ApiModelProperty(value = "教学区域面积")
    private Long area;

    /** 教学区域类型 1：第二部分；2：第三部分 */
    @ApiModelProperty(value = "教学区域类型 1：第二部分；2：第三部分")
    private Long type;

    /** 培训车型 */
    @ApiModelProperty(value = "培训车型")
    private String vehicletype;

    /** 可容纳车辆数 */
    @ApiModelProperty(value = "可容纳车辆数")
    private Long totalvehnum;

    /** 已投放车辆数 */
    @ApiModelProperty(value = "已投放车辆数")
    private Long curvehnum;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    private Date  createTime;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    private Date  updateTime;

    /** 创建时间 */
    @ApiModelProperty(value = "经度")
    private Double  lon;

    /** 创建时间 */
    @ApiModelProperty(value = "纬度")
    private Double  lat;

    /** 图片url */
    @ApiModelProperty(value = "图片url")
    private String url;

    /** 当前距离 */
    @ApiModelProperty(value = "当前距离")
    private String distance;

}
